when isMainModule:
  import tables
  import os
  import modules/[blog, env, db, formatter]

  let dataDir: string = "data"

  let settings = {
    "debug": boolEnvOrDefault("DEBUG", false),
    "logging": boolEnvOrDefault("NIMBLOG_LOG", true)
  }.toTable()

  if settings["debug"]:
    logPrint("Debug mode is enabled", "Warning")

  let dbSettings = {
    "path": dataDir & "/" & "blog.db",
    "schema_path": "schema.sql"
  }.toTable()

  logPrint("Starting website", "Main")

  if not dirExists(dataDir):
    logPrint("Created data directory", "Info")
    createDir(dataDir)

  if not createDb(dbSettings):
    logPrint("Failed to prepare database", "Error")
    quit(QuitFailure)

  try:
    runWebsite(settings=settings, dbSettings=dbSettings)
  except:
    logPrint("Could not run website", "Error")
